#------------------------------------------------- ----------------------------------------------#
# código de instalación para varios paquetes - a granel tal cual #
#------------------------------------------------- ----------------------------------------------#

# a veces es más fácil hacer estas instalaciones a través de las herramientas de rstudio
# marcando "con dependencias"

# después de cada instalación, ejecute library('my_package') una vez
# esto a veces instala complementos y verifica que todo está bien

# debe tener una máquina consistente, es decir, 64 bits y no 32 bits para R
# con una versión consistente de java
# en términos absolutos es bueno sincronizar también las versiones R y Rstudio 
# tener descargas niveladas de versión ex 3.2.2

# compruebe cuidadosamente si R y Java están en 64 bits

install.packages("rJava", dependencies=TRUE)  # útil para rattle, nécesita Java instalado 

# RESPECTO A java y Windows:
# si es necesario verifique la variable JAVA_HOME... o:
# PARA java windows 7 u 8 muchas veces es necesario DESCARGAR A MANO java de 64 bits
# luego reinstale java: jre-8u51-windows-x64.exe
# a veces, pero no siempre, tiene que decirle que quiere que apunte a 64 bits:
# a través de: Sys.setenv(JAVA_HOME='C:\\Program Files\\Java\\jre7') # para la versión de 64 bits
# para 32 bits sería:
# Sys.setenv(JAVA_HOME='C:\\Program Files (x86)\\Java\\jre7') # para la versión de 32 bits
library('rJava')


install.packages("RGtk2", dependencies=TRUE)
library('RGtk2') # elegir instalar gtk+ 

install.packages("rpart", dependencies=TRUE)
install.packages("rpart.plot", dependencies=TRUE) # para fancyRpartPlot 
library('rpart')
library('rpart.plot')

install.packages(c("pbkrtest")) # para rattle

install.packages("xlsx", dependencies=TRUE)
require(xlsx)

install.packages('rattle', dependencies = c("Depends", "Suggests"))
# también hay que llamar a rattle para terminar la instalación vía el paquete RGrk2 
# (el GUI de rattle que instala  GTK+ !! de Gnome)
# así como el paquete XML

library(rattle)

install.packages("pgmm", dependencies=TRUE)
install.packages("caret", dependencies=TRUE)

install.packages("ElemStatLearn", dependencies=TRUE)

install.packages("kernlab", dependencies=TRUE)
install.packages('e1071', dependencies=TRUE) # del paquete e1071 para glm
install.packages('AppliedPredictiveModeling', dependencies=TRUE)

install.packages("forecast", dependencies=TRUE)
install.packages("lubridate", dependencies=TRUE)

install.packages("JGR", dependencies=TRUE)
library(JGR)
JGR() # gestión de paquetes y consola R super !!!

install.packages("dplyr", dependencies=TRUE)
install.packages("magrittr", dependencies=TRUE)

install.packages("corrplot", dependencies=TRUE)
install.packages('tm', dependencies=TRUE)
install.packages('RTextTools', dependencies=TRUE)  # será necesario s y retomar a varaias veces
install.packages('SparseM')
install.packages('RTextTools', dependencies=TRUE) 

install.packages("RJSONIO", dependencies=TRUE)
install.packages('ggvis',dependencies=TRUE)
install.packages("mime", dependencies=TRUE)

install.packages("downloader", dependencies=TRUE)
library(downloader)
download("https://github.com/ramnathv/rCharts/archive/master.tar.gz", "rCharts.tar.gz")
install.packages('whisker',dependencies=TRUE)
install.packages("rCharts.tar.gz", repos = NULL, type = "source")
library(rCharts)

install.packages("stringi", dependencies=TRUE)
install.packages("frbs", dependencies=TRUE)
install.packages("enpls", dependencies=TRUE)

install.packages("twitteR", dependencies=TRUE)
install.packages("stringr", dependencies=TRUE)

install.packages("devtools", dependencies=TRUE)
devtools::install_github('christophergandrud/networkD3')

devtools::install_github("rstudio/leaflet")
install.packages("sp", dependencies=TRUE)

install.packages("SnowballC", dependencies=TRUE)

install.packages("stringi", dependencies=TRUE)
install.packages("Rcmdr", dependencies=TRUE)
install.packages("epicalc")
install.packages("epitools")
install.packages("prettyR")
library(Rcmdr)

install.packages("fastICA", dependencies=TRUE)
install.packages("pROC", dependencies=TRUE)
install.packages("quantreg", dependencies=TRUE)

install.packages("datasets",dependencies=TRUE)
install.packages("qcc",dependencies=TRUE)
install.packages("doBy",dependencies=TRUE)
install.packages("rgl",dependencies=TRUE)

devtools::install_github('ggthemr', 'cttobin')

install.packages("mRMRe")
library(mRMRe)

install.packages("matrixcalc",dependencies=TRUE)

install.packages("devtools",dependencies=TRUE)
library(devtools)
install.packages("Rcpp",dependencies=TRUE)

install.packages("ripa", dependencies=c("Depends", "Suggests"))

source("http://bioconductor.org/biocLite.R")
biocLite()
biocLite("EBImage")

install.packages("microbenchmark", dependencies=c("Depends", "Suggests"))


## inicio de la instalación de complementos de lattice y ejemplo
srcdir <- "http://lmdvr.r-forge.r-project.org/code/"
destdir <- "." # modify as desired
chapters <- sprintf("Chapter%02d.R", 1:14)
for (i in chapters)
{
  download.file(url = paste(srcdir, i, sep = ""),
                destfile = file.path(destdir, i))
}

install.packages(c("latticeExtra", "copula", "ellipse", "gridBase",
                   "locfit", "logspline", "mapproj", "maps", "MEMSS",
                   "mlmRev", "RColorBrewer"))
source("http://bioconductor.org/biocLite.R")
biocLite(c("flowCore", "flowViz", "hexbin"))
## fin de la instalación lattice complementos ejemplos


install.packages("ggthemes", dependencies=c("Depends", "Suggests"))

install.packages("plot3D", dependencies=c("Depends", "Suggests"))

source("http://www.ggobi.org/downloads/install.r")

install.packages("lsa", dependencies=c("Depends", "Suggests"))

install.packages("leaps")

install.packages('caretEnsemble')

install.packages('mlbench') # super para verificar algo machine learning

install.packages("pso",dependencies=c("Depends", "Suggests"))

install.packages("lhs",dependencies=c("Depends", "Suggests"))

install.packages("mgcv",dependencies=c("Depends", "Suggests"))

install.packages("DiceKriging",dependencies=c("Depends", "Suggests"))

install.packages("deepnet",dependencies=c("Depends", "Suggests"))

install.packages("mxnet",dependencies=c("Depends", "Suggests"))

install.packages("neuralnet",dependencies=c("Depends", "Suggests"))


